Create a business

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Merchants have to create and register their business to use Vendy. The apikey and secret generated are used in initiating transactions either via the API or checkout widget.

Request:

FieldTypeDescription
nameStringBusiness name
currencyStringThree letters ISO currency code e.g NGN
emailStringValid business email
typeEnum(String)Type of business: 'corporate' or 'individual'
phonenumberStringA valid phone number

Example request

curl --location 'https://api.vendy.money/business' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
    "name":"Business Name",
    "currency":"NGN",
    "email":"[email protected]",
    "type": "individual", 
    "phonenumber":"08101851915"
}'

Response:

FieldTypeDescription
statusBooleanStates if request was successfully executed or not
codeIntegerInternal code, success if 200
dataminified BusinessNewly created business details

Example response

{
    "status": true,
    "code": 200,
    "msg": "Business created",
    "data": {
        "name": "Business Name",
        "currency": "ngn",
        "email": "[email protected]",
        "type": "individual",
        "phonenumber": "08101851915",
        "uid": 156,
        "businessname": "Business Name",
        "status": "pending",
        "meta": {
            "notification": {
                "transaction": {
                    "push": true,
                    "email": true
                }
            }
        },
        "clientId": "c25d262a-d004-47b5-95c5-9d449f963241",
        "id": 930
    }
}
Body Params
string
required

Business name

string
required

Three letters ISO currency code e.g NGN

string
required

Valid business email

string
enum
required

Type of business

Allowed:
string
required

A valid phone number

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json